# $Revision: 1.3 $, $Date: 2002/09/16 08:41:25 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	B
%define		pnam	Size
Summary:	B::Size, B::TerseSize - tools to measure size of Perl OPs and [SAV]Vs
Summary(pl):	B::Size, B::TerseSize - narzdzia do okrelania rozmiaru perlowych OP i [SAV]V
Name:		perl-B-Size
Version:	0.05
Release:	3
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-26
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The B::Size and B::TerseSize modules attempt to measure the size of
Perl op codes. The output of B::TerseSize is similar to that of
B::Terse, but includes the size of each OP in the tree and the PADLIST
(subroutine lexical variables). The module can be run just as other
compiler backends or used via Apache::Status (version 2.02 and
higher).

%description -l pl
Moduy B::Size i B::TerseSize prbuj okreli rozmiar perlowych
opkodw. Wyjcie B::TerseSize jest podobne do wyjcia B::Terse, ale
zawiera rozmiar kadego OP w drzewie oraz PADLIST (leksykalne zmienne
procedur). Modu moe by uruchamiany tak jak inne backendy
kompilatora lub uywany poprzez Apache::Status (w wersji 2.02 lub
wyszej).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitearch}/B/*.pm
%dir %{perl_sitearch}/auto/B
%dir %{perl_sitearch}/auto/B/Size
%{perl_sitearch}/auto/B/Size/*.bs
%attr(755,root,root) %{perl_sitearch}/auto/B/Size/*.so
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-B-Size.spec,v $
Revision 1.3  2002/09/16 08:41:25  ankry
- added missing dir
- release 3

Revision 1.2  2002/09/10 19:58:32  qboosh
- pl description, release 2

Revision 1.1  2002/09/01 09:00:43  radek
- new, STBR
